#include<stdio.h>
#include<math.h>

double prov(int a[], double p[], double P, int n)
{
	int s = 0;
	for (int j = 0; j < n; j++)
	{
		if (p[j] >= P)
			s += a[j];
	}
	return s;
}

int main()
{
	int n; 
	int a[1000];
	double max, s = 0, p[1000], P;
	scanf_s("%d", &n);
	for (int i = 0; i < n; i++)
		scanf_s("%d%lf", &a[i], &p[i]);
	max = 0;
	for (int i = 0; i < n; i++)
	{
		P = p[i];
		s = prov(a, p, P, n) * (P / 100);
		if (s > max)
			max = s;
	}
	printf("%.4lf", max);

	return 0;
}